RagTime5ClusterManager::NameLink Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5ClusterManager::NameLink Struct Reference

a link to a name zone in RagTime 5/6 documents More...

`#include <RagTime5ClusterManager.hxx>`

## Public Member Functions
| NameLink ()
| default constructor
| NameLink (Link const &lnk)
| constructor from list
bool | empty () const
| returns true if all link are empty

## Public Attributes
std::vector< int > | m_ids
| the data ids
int | m_N
| the number of data
std::vector< long > | m_decalList
| a list of long used to store decal
std::vector< long > | m_posToNames [2]
| for unicode list field ids and field id to name
Link | m_posToNamesLinks [2]
| the corresponding link (for big list)

## Detailed Description

a link to a name zone in RagTime 5/6 documents

## Constructor & Destructor Documentation

## ◆ NameLink() [1/2]

RagTime5ClusterManager::NameLink::NameLink | ( |  | ) |
| inline

default constructor

## ◆ NameLink() [2/2]

RagTime5ClusterManager::NameLink::NameLink | ( | Link const & | lnk | ) |
| inlineexplicit

constructor from list

## Member Function Documentation

## ◆ empty()

bool RagTime5ClusterManager::NameLink::empty | ( |  | ) | const
| inline

returns true if all link are empty

Referenced by RagTime5ClusterManager::readClusterMainList(), RagTime5StyleManager::readFormats(), RagTime5Graph::readGraphicShapes(), and RagTime5Document::readStructZone().

## Member Data Documentation

## ◆ m_decalList

std::vector<long> RagTime5ClusterManager::NameLink::m_decalList

a list of long used to store decal

Referenced by RagTime5Document::readUnicodeStringList().

## ◆ m_ids

std::vector<int> RagTime5ClusterManager::NameLink::m_ids

the data ids

Referenced by empty(), and RagTime5Document::readUnicodeStringList().

## ◆ m_N

int RagTime5ClusterManager::NameLink::m_N

the number of data

## ◆ m_posToNames

std::vector<long> RagTime5ClusterManager::NameLink::m_posToNames[2]

for unicode list field ids and field id to name

Referenced by RagTime5Document::readUnicodeStringList().

## ◆ m_posToNamesLinks

Link RagTime5ClusterManager::NameLink::m_posToNamesLinks[2]

the corresponding link (for big list)

Referenced by RagTime5Document::readUnicodeStringList().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.hxx